> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get multiple Cardano transaction outputs by their references in a single batch request for efficiency.

# Transaction outputs by output references



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json post /transactions/outputs
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /transactions/outputs:
    post:
      tags:
        - Transactions
      summary: Transaction outputs by output references
      description: >-
        Returns the specified transaction outputs. Returns 404 if any of the
        outputs specified do not exist unless the `allow_missing` query
        parameter is set to `true`. Results are sorted lexicographically by
        output reference and duplicates are omitted. Do not change the output
        references parameter while paginating.
      operationId: txos_by_txo_refs
      parameters:
        - name: resolve_datums
          in: query
          description: Try find and include the corresponding datums for datum hashes
          required: false
          schema:
            type: boolean
            nullable: true
        - name: with_cbor
          in: query
          description: Include the CBOR encoding of the transaction output in the response
          required: false
          schema:
            type: boolean
            nullable: true
        - name: allow_missing
          in: query
          description: >-
            Do not return 404 if any transactions are not found (404 will still
            be returned if you specify an index higher than the number of
            outputs in a transaction)
          required: false
          schema:
            type: boolean
            nullable: true
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: string
            example:
              - >-
                a90e31b3de59452659617c351e5f746b819cb8b026bf945dd41b4cc199bcc8c9#1
              - >-
                31a84c3c6200bec2498b18c42f882fa690cd0d32a9c84a2019eb5cc42f5971d0#0
        required: true
      responses:
        '200':
          description: Get transaction outputs via output references
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedUtxoWithBytes'
              example:
                data:
                  - tx_hash: >-
                      31a84c3c6200bec2498b18c42f882fa690cd0d32a9c84a2019eb5cc42f5971d0
                    index: 0
                    assets:
                      - unit: lovelace
                        amount: 27660180
                    address: addr1wxn9efv2f6w82hagxqtn62ju4m293tqvw0uhmdl64ch8uwc0h43gt
                    datum:
                      type: hash
                      hash: >-
                        f03819a4039003a8c6b65153351adbc61f983bd22787ed238a5b4f24a01aa5d6
                      bytes: >-
                        d8799fd8799fd8799f581cfc6e1b47816bc4a4165a39f3c6dd65868e6b74a743dc2dcf54eb2d4cffd8799fd8799fd8799f581cd756fb7ceee90ed5af3f193d73f9970ca640ab540eedac272cb28c29ffffffffd8799fd8799f581cfc6e1b47816bc4a4165a39f3c6dd65868e6b74a743dc2dcf54eb2d4cffd8799fd8799fd8799f581cd756fb7ceee90ed5af3f193d73f9970ca640ab540eedac272cb28c29ffffffffd87a80d87a9fd8799f581c25f0fc240e91bd95dcdaebd2ba7713fc5168ac77234a3d79449fc20c47534f4349455459ff1a0bebc200ff1a001e84801a001e8480ff
                      json:
                        fields:
                          - fields:
                              - fields:
                                  - bytes: >-
                                      fc6e1b47816bc4a4165a39f3c6dd65868e6b74a743dc2dcf54eb2d4c
                              - fields:
                                  - fields:
                                      - fields:
                                          - bytes: >-
                                              d756fb7ceee90ed5af3f193d73f9970ca640ab540eedac272cb28c29
                          - fields:
                              - fields:
                                  - bytes: >-
                                      fc6e1b47816bc4a4165a39f3c6dd65868e6b74a743dc2dcf54eb2d4c
                              - fields:
                                  - fields:
                                      - fields:
                                          - bytes: >-
                                              d756fb7ceee90ed5af3f193d73f9970ca640ab540eedac272cb28c29
                          - constructor: 1
                            fields: []
                          - constructor: 1
                            fields:
                              - constructor: 0
                                fields:
                                  - bytes: >-
                                      25f0fc240e91bd95dcdaebd2ba7713fc5168ac77234a3d79449fc20c
                                  - bytes: 534f4349455459
                              - int: 200000000
                          - int: 2000000
                          - int: 2000000
                    reference_script: null
                    txout_cbor: null
                  - tx_hash: >-
                      a90e31b3de59452659617c351e5f746b819cb8b026bf945dd41b4cc199bcc8c9
                    index: 1
                    assets:
                      - unit: lovelace
                        amount: 118671749
                    address: >-
                      addr1qy27nwry749alh8ajmkghml67j9egdx9asgcnsjk8wldfs40m5d3qle5j85vfd335zzxfdz9eshkjh58svvjwtgxt0tskx7f5l
                    datum: null
                    reference_script: null
                    txout_cbor: null
                last_updated:
                  timestamp: '2022-10-10 20:25:28'
                  block_hash: >-
                    bdf4630098ac6923e0ef1ca0b0d6e00dca96790a8c3dd670948fdfe1456798d2
                  block_slot: 73867237
                next_cursor: null
        '400':
          description: Malformed query parameters
        '404':
          description: No results found
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedUtxoWithBytes:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/UtxoWithBytes'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    UtxoWithBytes:
      type: object
      description: Transaction output (with field for optionally-returned CBOR bytes)
      required:
        - tx_hash
        - index
        - assets
        - address
      properties:
        address:
          type: string
          description: Address which controls the UTxO
        assets:
          type: array
          items:
            $ref: '#/components/schemas/Asset'
          description: List of assets contained in the UTxO
        datum:
          allOf:
            - $ref: '#/components/schemas/DatumOption'
          nullable: true
        index:
          type: integer
          description: UTxO transaction index
          minimum: 0
        reference_script:
          allOf:
            - $ref: '#/components/schemas/Script'
          nullable: true
        tx_hash:
          type: string
          description: UTxO transaction hash
        txout_cbor:
          type: string
          description: Hex encoded transaction output CBOR bytes
          nullable: true
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
    Asset:
      type: object
      description: Lovelace or native asset
      required:
        - unit
        - amount
      properties:
        amount:
          $ref: '#/components/schemas/NumOrString'
        unit:
          type: string
          description: >-
            Asset (either `lovelace` or concatenation of hex encoded policy ID
            and asset name for native asset)
    DatumOption:
      type: object
      description: Datum (inline or hash)
      required:
        - type
        - hash
      properties:
        bytes:
          type: string
          description: >-
            Hex encoded datum CBOR bytes (`null` if datum type is `hash` and
            corresponding datum bytes have not been seen on-chain)
          nullable: true
        hash:
          type: string
          description: Datum hash
        json:
          type: object
          description: >-
            JSON representation of the datum (`null` if datum type is `hash` and
            corresponding datum bytes have not been seen on-chain)
          nullable: true
        type:
          $ref: '#/components/schemas/DatumOptionType'
    Script:
      type: object
      description: Details of a Native or Plutus script
      required:
        - hash
        - type
        - bytes
      properties:
        bytes:
          type: string
          description: Script bytes
        hash:
          type: string
          description: Script hash
        json:
          type: object
          description: >-
            JSON representation of script (`null` if script not of `native`
            type)
          nullable: true
        type:
          $ref: '#/components/schemas/ScriptType'
    NumOrString:
      oneOf:
        - type: integer
          format: int64
          description: Unsigned 64-bit integer
          minimum: 0
        - type: integer
          description: Unsigned 128-bit integer
          minimum: 0
        - type: integer
          format: int64
          description: Signed 64-bit integer
        - type: number
          format: double
          description: 64-bit floating point number
        - type: string
          description: String representation of an integer or number
      description: >-
        Integer or number by default, or a string representation if the
        `amounts-as-strings` header is set to `true`
    DatumOptionType:
      type: string
      description: Datum type (inline datum or datum hash)
      enum:
        - hash
        - inline
    ScriptType:
      type: string
      description: Script type and version
      enum:
        - native
        - plutusv1
        - plutusv2
        - plutusv3
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````